Name:           ocaml-uuidm
Version:        0.9.5
Release:        %mkrel 6
Summary:        Universally unique identifiers (UUIDs) for OCaml
License:        BSD3
Group:          Development/OCaml
URL:            http://erratique.ch/software/uuidm
Source0:        http://erratique.ch/software/uuidm/releases/uuidm-%{version}.tbz
BuildRequires:  ocaml-findlib

%description
Uuidm is an OCaml module implementing 128 bits universally unique identifiers 
version 3, 5 (name based with MD5, SHA-1 hashing) and 4 (random based)
according to RFC 4122: http://www.ietf.org/rfc/rfc4122.txt

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n uuidm-%{version}

%build
ocaml setup.ml -configure --prefix %{buildroot}/usr
ocaml setup.ml -build

%install
rm -rf %{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
ocaml setup.ml -install

%files
%doc README CHANGES
%{_bindir}/uuidtrip
%dir %{_libdir}/ocaml/uuidm
%{_libdir}/ocaml/uuidm/META
%{_libdir}/ocaml/uuidm/*.cmi
%{_libdir}/ocaml/uuidm/*.cma
%{_libdir}/ocaml/uuidm/*.cmxs

%files devel
%doc doc/
%{_libdir}/ocaml/uuidm/*.cmxa
%{_libdir}/ocaml/uuidm/*.cmx
%{_libdir}/ocaml/uuidm/*.a
%{_libdir}/ocaml/uuidm/*.mli


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.9.5-6.mga4
+ Revision: 535766
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 malo <malo> 0.9.5-5.mga4
+ Revision: 482509
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 0.9.5-4.mga3
+ Revision: 361677
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.5-3.mga3
+ Revision: 301686
- new rpm group for ocaml

* Fri Sep 28 2012 blue_prawn <blue_prawn> 0.9.5-2.mga3
+ Revision: 299110
- new rpm group for ocaml

* Mon Aug 06 2012 blue_prawn <blue_prawn> 0.9.5-1.mga3
+ Revision: 279525
- updated to last version 0.9.5

* Sun Mar 25 2012 blue_prawn <blue_prawn> 0.9.4-1.mga3
+ Revision: 226157
- updated to new version 0.9.4 which now uses Oasis :,(

* Mon Jan 09 2012 blue_prawn <blue_prawn> 0.9.3-1.mga2
+ Revision: 194061
- imported package ocaml-uuidm

